# $Revision: 1.46 $, $Date: 2010/01/28 20:12:29 $
# TODO:
# - gimp plugin ?

Summary:	Raw Digital Photo Decoder
Summary(pl.UTF-8):	Dekoder zdjęć cyfrowych w formacie raw
Name:		dcraw
Version:	8.99
Epoch:		1
Release:	2
License:	Free + GPL (for some parts of code)
Group:		Applications/Graphics
Source0:	http://www.cybercom.net/~dcoffin/dcraw/archive/%{name}-%{version}.tar.gz
# Source0-md5:	b6469a5ac64ac6e974022b00f09fb465
Source1:	http://www.cybercom.net/~dcoffin/dcraw/clean_crw.c
# NoSource1-md5:	37b386fef86eef8768965e91ea0be9e6
Source2:	http://www.cybercom.net/~dcoffin/dcraw/fujiturn.c
# NoSource2-md5:	10e468e0eed5e772fb09f3b2590696f1
Source3:	http://www.cybercom.net/~dcoffin/dcraw/fuji_green.c
# NoSource3-md5:	e801331242f2acf805c0ce00f609fe8c
URL:		http://www.cybercom.net/~dcoffin/dcraw/
BuildRequires:	gettext-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
Requires:	FHS > 2.3-18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dcraw is a program that decodes any raw image from digital cameras and
produces portable pixel map (PPM).

%description -l pl.UTF-8
Dcraw jest programem, który dekoduje zdjęcia z aparatów cyfrowych
zapisanych w formacie raw i produkuje przenośną mapę pikseli (PPM).

%prep
%setup -q -n %{name}
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%build
%{__cc} %{rpmldflags} -o dcraw %{rpmcflags} -Wall -DLOCALEDIR=\"%{_datadir}/locale/\" dcraw.c -lm -ljpeg -llcms
%{__cc} %{rpmldflags} -o clean_crw %{rpmcflags} -Wall clean_crw.c
%{__cc} %{rpmldflags} -o fujiturn %{rpmcflags} -Wall fujiturn.c -D_16BIT
%{__cc} %{rpmldflags} -o fuji_green %{rpmcflags} -Wall fuji_green.c -lm

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install dcraw clean_crw fujiturn fuji_green $RPM_BUILD_ROOT%{_bindir}
install dcraw.1 $RPM_BUILD_ROOT%{_mandir}/man1

# Some fancy way for making this list automagically is needed, maybe:
for lang in ca cs de eo es fr hu it pl pt ru sv zh_TW ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$lang/man1
	cp dcraw_$lang.1 $RPM_BUILD_ROOT%{_mandir}/$lang/man1/dcraw.1
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES
	msgfmt -o $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES/dcraw.mo dcraw_$lang.po
done

# For this language there is only manual:
for lang in zh_CN; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$lang/man1
	cp dcraw_$lang.1 $RPM_BUILD_ROOT%{_mandir}/$lang/man1/dcraw.1
done
# For this language there is only translation:
for lang in nl; do
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES
	msgfmt -o $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES/dcraw.mo dcraw_$lang.po
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(ca) %{_mandir}/ca/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(eo) %{_mandir}/eo/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%lang(zh_TW) %{_mandir}/zh_TW/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dcraw.spec,v $
Revision 1.46  2010/01/28 20:12:29  amateja
- release 2

Revision 1.45  2010/01/06 12:46:53  gotar
- MD5 of tarball not dcraw.c

Revision 1.44  2010/01/06 12:45:08  gotar
- upgraded to 8.99

Revision 1.43  2009/11/09 11:25:30  blues
- TODO in spec

Revision 1.42  2009/10/13 20:00:16  gotar
- proper MD5

Revision 1.41  2009/10/13 19:57:39  gotar
- upgraded to 8.98

Revision 1.40  2009/09/08 14:49:10  gotar
- upgraded to 8.97

Revision 1.39  2009/08/20 09:06:49  gotar
- upgraded to 8.96

Revision 1.38  2009/07/26 09:00:41  blues
- 8.95

Revision 1.37  2009/07/10 19:52:56  arekm
- release 2

Revision 1.36  2009/03/30 20:05:23  qboosh
- en comment fix

Revision 1.35  2009/03/16 19:06:39  blues
- 8.93

Revision 1.34  2009/03/04 08:53:02  blues
- 8.92 - more langs, some not-fully-complete.

Revision 1.33  2009/02/26 22:26:13  blues
- 8.91

Revision 1.32  2009/01/16 12:00:33  blues
- 8.90

Revision 1.31  2008/12/09 12:49:50  blues
- 8.89 - A900 patch outdated

Revision 1.30  2008/09/11 11:10:09  blues
- rel.2 - Sony A900 support

Revision 1.29  2008/08/20 22:17:29  blues
- 8.87

Revision 1.28  2008/06/28 18:23:55  beorn
- Up to 8.86

Revision 1.27  2008/02/24 17:27:01  blues
- rel.2

Revision 1.26  2008-02-24 17:24:54  blues
- 8.82

Revision 1.25  2007-12-27 02:13:11  zbyniu
- up to 8.81

Revision 1.24  2007-11-18 11:38:33  adamg
- updated to 8.80 (from Michal Kochanowicz)

Revision 1.23  2007/08/21 07:41:09  blues
- 8.77

Revision 1.22  2007/06/30 20:20:23  arekm
- up to 8.76

Revision 1.21  2007/06/18 20:17:49  qboosh
- restored lost md5s

Revision 1.20  2007/06/18 15:21:01  rotom
- up to 8.75

Revision 1.19  2007/06/09 14:54:38  blues
- require proper version of FHS

Revision 1.18  2007/06/08 19:21:16  blues
- works fine now.

Revision 1.17  2007/06/08 17:41:02  blues
- lang files are installed now...

Revision 1.16  2007/06/08 14:11:18  blues
- switch to tarball, add more manuals - NFY

Revision 1.15  2007/06/08 13:43:24  blues
- 8.74

Revision 1.14  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.12  2006/11/23 12:43:17  blues
- 8.43 (epoch 1); added clean_crw, fujiturn and fuji_green apps

Revision 1.11  2006/04/11 09:22:17  qboosh
- sorted BRs

Revision 1.10  2006/04/11 02:49:58  aredridel
- BR: lcms-devel
- use lcms

Revision 1.9  2005/11/10 20:50:06  pluto
- updated to 2005/11/06.

Revision 1.8  2005/09/30 15:40:58  pluto
- updated to 2005/09/25.

Revision 1.7  2005/09/06 11:54:47  pluto
- updated (source, manpage, license, desc).

Revision 1.6  2005/04/28 18:40:11  qboosh
- updated to 20050428, this time actally _updating sources_

Revision 1.5  2005/04/25 21:11:52  blekot
- up to 20050422 (thx Dariusz Walat <d_walat at op dot pl>

Revision 1.4  2004/07/26 16:24:01  undefine
- release 1, update to 20040726

Revision 1.3  2004/03/08 18:05:46  qboosh
- macros fix, use rpmldflags

Revision 1.2  2004/03/07 18:30:02  ankry
- pl fixes
- don't put text files on distfiles

Revision 1.1  2004/03/07 17:08:14  yogib
- initial version
